Skip to main content
POST
/
task-relation
Create Task Relation
curl --request POST \
  --url https://cloud.kaneo.app/api/task-relation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceTaskId": "<string>",
  "targetTaskId": "<string>",
  "relationType": "subtask"
}
'
{
  "id": "<string>",
  "sourceTaskId": "<string>",
  "targetTaskId": "<string>",
  "relationType": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json
sourceTaskId
string
required
targetTaskId
string
required
relationType
enum<string>
required
Available options:
subtask,
blocks,
related

Response

200 - application/json

Task relation created successfully

id
string
required
sourceTaskId
string
required
targetTaskId
string
required
relationType
string
required
createdAt
string<date-time>
required